import { useState } from 'react';

export const LoginForm = ({onLogin}) => {
    const [login, setLogin] = useState('')
    const [password, setPassword] = useState('')
    return (
        <>
        <input value = {login} onChange = {e => setLogin(e.target.value)} />
        <input type = "password" value = {password} onChange = {e => setPassword(e.target.value)} />
        <button disabled = {!login || !password} onClick = {() => onLogin(login, password)}>Login </button>
        </>
    )
}
