import { createStore, combineReducers, applyMiddleware } from 'redux';
import thunk from 'redux-thunk';
import authReducer from './auth';
import promiseReducer from './promise';

let reducers = combineReducers({
    p: promiseReducer,
    a: authReducer
})

const store = createStore(reducers, applyMiddleware(thunk));
store.subscribe(() => console.log(store.getState()));

export default store;